Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #166

Audacious doesn't start after 3.3 upgrade - (undefined symbol: audgui_list_new_real)
August 13, 2012 15:54 - Martin Pichna
Description
Hello guys,

I've updated audacious (3.3) on my UBUNTU (12.04) and it doesn't start anymore. | get errors:

mpichna@mpichna-ntb:~/.config/audacious$ audacious
WARNING: Audacious seems to be already running but is not responding.

e (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
e (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
e (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
¢ (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
¢ (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
e (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
e (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
¢ (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
¢ (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
e (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
e (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
¢ (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed

¢ (audacious:24512): CRITICAL **: plugin_do_about: assertion “plugin_get_enabled (plugin)' failed
audacious: symbol lookup error: /usr/lib/x86_64-linux-gnu/audacious/General/gtkui.so: undefined symbol: audgui_list_new_real

| tried to re-install it couple of times, but it didn't help. | hope you can help with that.
Here's the info:

mpichna@mpichna-ntb:~/.config/audacious$ audacious -v
Audacious 3.3 (Ubuntu package)

mpichna@mpichna-ntb:~/.config/audacious$ uname -a
Linux mpichna-ntb 3.2.0-29-generic #46-Ubuntu SMP Fri Jul 27 17:03:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

regards, martin

History

#1 - August 14, 2012 02:24 - John Lindgren

- Status changed from New to Rejected
You didn't update audacious-plugins correctly. Not a bug. Next time try the Ubuntu forums for help with installing packages.

#2 - August 19, 2012 11:37 - Martin Pichna
Hi,

| have received an update of audacious to 3.3 automatically, so | have not installed it manually, it has upgraded itself, but after the upgrade | am
unable to run it. Can you please indicate what | did wrong?

thanks, martin

#3 - August 19, 2012 20:43 - John Lindgren

All | can tell you is that you have mismatched versions of libaudgui and audacious-plugins. Ubuntu does not ship Audacious 3.3 yet so you are
obviously using some third-party respository, which means it is your own fault if you have messed something up.

#4 - August 20, 2012 11:57 - Martin Pichna
Hello John,

| understand that you seem to believe that it's my fault, | admit that | used PPA - ppa:nilarimogard/webupd8 to receive latest Audacious updates, not
sure this is the PPA you guys consider to be reliable. Nevertheless | did remove it from repository and install quite old 3.2.1 Audacious via ubuntu
repository and it runs ok (at least | can start it and enjoy the music). Although | can use Audacious now, I'd like to get the latest version of it, but the
PPA | used recently seems to deliver broken package. Would you advise me with another possibility?

thanks, martin

#5 - August 22, 2012 01:27 - John Lindgren

You might try discussing the problem with the WebUpd8 packager; generally his packages seem to be of good quality (though | have not used them
myself).
